#ifndef INCLUDE_H_JVMSTARTER
#define INCLUDE_H_JVMSTARTER

#include "JavaVMCallback.hpp"

#include <string>

class JVMStarter
{
private:
	JVMStarter( const JVMStarter& ); //<! Ȃ
	operator=( const JVMStarter& ); //<! Ȃ

public:
	JVMStarter( JVMEventListener& v_eventListener, const std::string& v_preloadConfPath ) throw ();
	bool preloadLibrary() throw ();
	void execute( const std::string& v_eventSourceName, const std::string& v_configPath ) throw ();

private:

	JVMEventListener& eventListener_;
	std::string preloadConfPath_;
};

#endif
